package main

import (
	"kumoly.io/kumoly/app/auth"
	"kumoly.io/kumoly/app/email"
	"kumoly.io/kumoly/app/history"
	"kumoly.io/kumoly/app/server"
	"kumoly.io/kumoly/app/store"
	"kumoly.io/kumoly/app/system"
	"kumoly.io/kumoly/app/task"
)

func main() {
	store.Setup()
	sys := system.New()
	server := server.New("app")

	auth.Setup()
	auth.SetDB(store.DB)

	sys.Inject(auth.Injector(server.API))
	sys.Append(server, auth.New(server),
		&task.Service{}, &history.Service{},
		&email.Service{})
	go sys.Start()

	<-sys.Done()

}
